Removes the deployment from the target — a GOVERNED MUTATION with the same two-phase, deny-by-default gating as apply.
POST
/v1/m/deploy/definitions/{id}/retire
const url = 'https://example.com/v1/m/deploy/definitions/example/retire';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"approval_ref":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/deploy/definitions/example/retire \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "approval_ref": "example" }'Removes the deployment from the target — a GOVERNED MUTATION with the same two-phase, deny-by-default gating as apply.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body
Section titled “Request Body ”The handler accepts one JSON document and caps decoding at 256 KiB.
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}